Change group membership

Replaces the group member list.

PUT https://{controlplane_path}/api/1/rest/public/groups/{env_org}/{groupname}
Replaces the group member list.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env
groupname Required. The name of the group.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

 { "members" : [ ... ] }
Key Type Description
members array An array of strings containing the new list of group members' email addresses.

Response

{
    "response_map": {},
    "http_status_code": 200
}